Bug 9652 - Нужен PIC на x86_64
: Нужен PIC на x86_64
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/check)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-06-02 11:32 by
Modified: 2007-02-15 18:40 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-06-02 11:32:32
Для линковки с динамическими библиотеками (напр. GStreamer) на x86_64 нужен
check, собранный с PIC. Пока не знаю, что удобнее: инъекция -fPIC во флаги
статической сборки или построение еще и динамического варианта libcheck.
------- Comment #1 From 2006-06-03 03:50:41 -------
maintainer change
------- Comment #2 From 2006-06-03 07:51:01 -------
Fixed in 0.9.3-alt1.2